Nagios Trouble Shooting Tutorial

While compiling Nagios plugins, you may get an error regarding the SSL version; it requires to install the OpenSSL on the Linux box.

==========================
check_http.c:312:9: error: ‘ssl_version’ undeclared (first use in this function)
….

make[2]: *** [check_http.o] Error 1

make[2]: Leaving directory `/usr/local/src/nagios-plugins-1.4.16/plugins’

make[1]: *** [all-recursive] Error 1

make[1]: Leaving directory `/usr/local/src/nagios-plugins-1.4.16′

make: *** [all] Error 2

========================

Install the following RPM’s

yum install openssl*

Once this is installed , you will be able to compile the plugins without any issue.

POSTS YOU MAY LIKE -:)

Share This Post

Shares